Package com.smartgwt.client.widgets.toolbar

# Class RibbonGroup

java.lang.Object
com.google.gwt.user.client.ui.UIObject
com.google.gwt.user.client.ui.Widget
com.smartgwt.client.widgets.BaseWidget
com.smartgwt.client.widgets.Canvas
com.smartgwt.client.widgets.layout.Layout
com.smartgwt.client.widgets.layout.VLayout
com.smartgwt.client.widgets.toolbar.ToolStripGroup
com.smartgwt.client.widgets.toolbar.RibbonGroup

All Implemented Interfaces:
  `HasAttachHandlers`, `HasHandlers`, `EventListener`, `HasVisibility`, `IsWidget`, `LogicalStructure`, `HasClearHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasDragMoveHandlers`, `HasDragRepositionMoveHandlers`, `HasDragRepositionStartHandlers`, `HasDragRepositionStopHandlers`, `HasDragResizeMoveHandlers`, `HasDragResizeStartHandlers`, `HasDragResizeStopHandlers`, `HasDragStartHandlers`, `HasDragStopHandlers`, `HasDropHandlers`, `HasDropMoveHandlers`, `HasDropOutHandlers`, `HasDropOverHandlers`, `HasFocusChangedHandlers`, `HasHoverHandlers`, `HasHoverHiddenHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasMouseDownHandlers`, `HasMouseMoveHandlers`, `HasMouseOutHandlers`, `HasMouseOverHandlers`, `HasMouseStillDownHandlers`, `HasMouseUpHandlers`, `HasMouseWheelHandlers`, `HasMovedHandlers`, `HasParentMovedHandlers`, `HasResizedHandlers`, `HasRightMouseDownHandlers`, `HasRuleContextChangedHandlers`, `HasScrolledHandlers`, `HasShowContextMenuHandlers`, `HasVisibilityChangedHandlers`, `HasMembersChangedHandlers`

public class RibbonGroup extends ToolStripGroup
A widget that groups `RibbonButtons`s for use in `RibbonBars`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

  `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

  `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

  ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

  `DEBUG_ID_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RibbonGroup()`
  `RibbonGroup(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addControl(Canvas control)`
  Adds a control to this `RibbonGroup`, creating a new `column` as necessary, according to the control's `rowSpan` value and the group's `numRows` value.
  `void`
  `addControl(Canvas control, Integer index)`
  Adds a control to this `RibbonGroup`, creating a new `column` as necessary, according to the control's `rowSpan` value and the group's `numRows` value.
  `void`
  `addControls(Canvas... controls)`
  Adds an array of controls to this group, creating new `columns` as necessary, according to each control's `rowSpan` value and the group's `numRows` value.
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `protected JavaScriptObject`
  `create()`
  `void`
  `createControl(Canvas properties)`
  Creates a new control and adds it to this RibbonGroup.
  `void`
  `createControl(Canvas properties, Integer position)`
  Creates a new control and adds it to this RibbonGroup.
  `Boolean`
  `getAutoSizeToTitle()`
  By default, `RibbonGroups` are assigned a minimum width that allows the entire title to be visible.
  `HLayout`
  `getBody()`
  HLayout autoChild that manages multiple `VLayouts` containing controls.
  `String`
  `getBodyConstructor()`
  Smart GWT class for the body.
  `VLayout`
  `getColumnLayout()`
  Note : This API is non-functional (always returns null) and exists only to make you aware that this MultiAutoChild exists.
  `Layout`
  `getControlColumn(Canvas control)`
  Return the `column widget` that contains the passed control.
  `Integer`
  `getControlHMargin()`
  Horizontal space, in pixels, between controls that sit next to each other in this group.
  `Canvas[]`
  `getControls()`
  The array of controls to show in this group.
  `Integer`
  `getControlVMargin()`
  Vertical space, in pixels, between controls stacked within a single `column` of this group.
  `int`
  `getDefaultColWidth()`
  Default width for columns in this RibbonGroup.
  `String`
  `getDefaultColWidthAsString()`
  Default width for columns in this RibbonGroup.
  `String`
  `getEditProxyConstructor()`
  Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
  `Label`
  `getLabel()`
  AutoChild `Label` used to display the `title text` for this group.
  `String`
  `getLabelConstructor()`
  Smart GWT class for the `title label` AutoChild.
  `HLayout`
  `getLabelLayout()`
  HLayout autoChild that houses the `label` in which the `title text` is displayed.
  `LogicalStructureObject`
  `getLogicalStructure()`
  Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `RibbonButton`
  `getNewControlDefaults()`
  Note : This API is non-functional (always returns null) and exists only to make you aware that this MultiAutoChild exists.
  `int`
  `getNumRows()`
  The number of rows of controls to display in each column.
  `static RibbonGroup`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `int`
  `getRowHeight()`
  The height of rows in each column.
  `String`
  `getStyleName()`
  CSS class applied to this RibbonGroup.
  `String`
  `getTitle()`
  The title text to display in this group's `title label`.
  `Alignment`
  `getTitleAlign()`
  Controls the horizontal alignment of the group's `title-text`, within its `label`.
  `int`
  `getTitleHeight()`
  Controls the height of the `title label` in this group.
  `VerticalAlignment`
  `getTitleOrientation()`
  Controls the `vertical orientation` of this group's `title label`.
  `Label`
  `getTitleProperties()`
  Deprecated.
  set these properties directly via the `label autoChild`
  `String`
  `getTitleStyle()`
  CSS class applied to the `title label` in this group.
  `void`
  `reflowControls()`
  Forces this group to reflow following changes to attributes that affect layout, like `numRows`.
  `void`
  `removeControl(Canvas control)`
  Removes a control from this `RibbonGroup`, destroying an existing `column` if this is the last widget in that column.
  `RibbonGroup`
  `setAutoSizeToTitle(Boolean autoSizeToTitle)`
  By default, `RibbonGroups` are assigned a minimum width that allows the entire title to be visible.
  `RibbonGroup`
  `setBodyConstructor(String bodyConstructor)`
  Smart GWT class for the body.
  `RibbonGroup`
  `setControlHMargin(Integer controlHMargin)`
  Horizontal space, in pixels, between controls that sit next to each other in this group.
  `RibbonGroup`
  `setControls(Canvas... controls)`
  The array of controls to show in this group.
  `RibbonGroup`
  `setControlVMargin(Integer controlVMargin)`
  Vertical space, in pixels, between controls stacked within a single `column` of this group.
  `RibbonGroup`
  `setDefaultColWidth(int defaultColWidth)`
  Default width for columns in this RibbonGroup.
  `RibbonGroup`
  `setDefaultColWidth(String defaultColWidth)`
  Default width for columns in this RibbonGroup.
  `static void`
  `setDefaultProperties(RibbonGroup ribbonGroupProperties)`
  Class level method to set the default properties of this class.
  `RibbonGroup`
  `setEditProxyConstructor(String editProxyConstructor)`
  Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
  `RibbonGroup`
  `setLabelConstructor(String labelConstructor)`
  Smart GWT class for the `title label` AutoChild.
  `LogicalStructureObject`
  `setLogicalStructure(RibbonGroupLogicalStructure s)`
  Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `RibbonGroup`
  `setNumRows(int numRows)`
  The number of rows of controls to display in each column.
  `RibbonGroup`
  `setRowHeight(int rowHeight)`
  The height of rows in each column.
  `void`
  `setShowTitle(boolean showTitle)`
  This method forcibly shows or hides this group's `title label` after initial draw.
  `void`
  `setStyleName(String styleName)`
  CSS class applied to this RibbonGroup.
  `void`
  `setTitle(String title)`
  The title text to display in this group's `title label`.
  `RibbonGroup`
  `setTitleAlign(Alignment titleAlign)`
  Controls the horizontal alignment of the group's `title-text`, within its `label`.
  `RibbonGroup`
  `setTitleHeight(int titleHeight)`
  Controls the height of the `title label` in this group.
  `RibbonGroup`
  `setTitleOrientation(VerticalAlignment titleOrientation)`
  Controls the `vertical orientation` of this group's `title label`.
  `RibbonGroup`
  `setTitleStyle(String titleStyle)`
  CSS class applied to the `title label` in this group.

  ### Methods inherited from class com.smartgwt.client.widgets.toolbar.ToolStripGroup

  `setDefaultProperties, setLogicalStructure`

  ### Methods inherited from class com.smartgwt.client.widgets.layout.VLayout

  `setDefaultProperties, setLogicalStructure`

  ### Methods inherited from class com.smartgwt.client.widgets.layout.Layout

  `addMember, addMember, addMember, addMember, addMemberPostCreate, addMemberPostCreate, addMemberPreCreate, addMemberPreCreate, addMembers, addMembers, addMembersChangedHandler, getAnimateMembers, getAnimateMemberTime, getCanDropComponents, getChildTabPosition, getDefaultResizeBars, getDropComponent, getDropLine, getDropLineThickness, getDropPosition, getEnforcePolicy, getHPolicy, getLayoutBottomMargin, getLayoutEndMargin, getLayoutLeftMargin, getLayoutMargin, getLayoutRightMargin, getLayoutStartMargin, getLayoutTopMargin, getLeaveScrollbarGap, getLocateMembersBy, getLocateMembersType, getManagePercentBreadth, getMember, getMember, getMemberDefaultBreadth, getMemberNumber, getMemberNumber, getMemberOverlap, getMembers, getMembersAsStringArray, getMembersLength, getMembersMargin, getMinMemberLength, getMinMemberSize, getOverflow, getPaddingAsLayoutMargin, getResizeBar, getResizeBarClass, getResizeBarSize, getReverseOrder, getShowDragPlaceHolder, getShowDropLines, getStackZIndex, getVertical, getVPolicy, hasMember, hideDropLine, hideMember, hideMember, layoutIsDirty, onInit, onInit_Layout, reflow, reflow, reflowNow, removeMember, removeMembers, removeMembers, reorderMember, reorderMembers, replaceMember, revealChild, revealChild, setAlign, setAlign, setAnimateMembers, setAnimateMemberTime, setCanDropComponents, setDefaultLayoutAlign, setDefaultLayoutAlign, setDefaultProperties, setDefaultResizeBars, setDropLineProperties, setDropLineThickness, setEnforcePolicy, setHPolicy, setLayoutBottomMargin, setLayoutEndMargin, setLayoutLeftMargin, setLayoutMargin, setLayoutRightMargin, setLayoutStartMargin, setLayoutTopMargin, setLeaveScrollbarGap, setLocateMembersBy, setLocateMembersType, setLogicalStructure, setManagePercentBreadth, setMemberOverlap, setMembers, setMembers, setMembersMargin, setMinBreadthMember, setMinBreadthMember, setMinBreadthMember, setMinMemberLength, setMinMemberSize, setOverflow, setPaddingAsLayoutMargin, setPlaceHolderDefaults, setPlaceHolderProperties, setResizeBarClass, setResizeBarSize, setReverseOrder, setShowDragPlaceHolder, setShowDropLines, setStackZIndex, setVertical, setVisibleMember, setVPolicy, showMember, showMember`

  ### Methods inherited from class com.smartgwt.client.widgets.Canvas

  `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsEventTarget, containsFocus, containsPoint, containsPoint, contentsComponentConnected, dataContextChanged, dataContextCriteriaChanged, deparent, depeer, disable, doValueDictation, doVoiceCommand, enable, encloses, endBatchCreation, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAllCanvases, getAllCanvases, getAllCanvases, getAlwaysManageFocusNavigation, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaHandleID, getAriaRole, getAriaStateDefaults, getAutoMaskComponents, getAutoParent, getAutoPopulateData, getAutoRevertStyles, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderRadius, getBorderRadiusAsString, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanDropContent, getCanDropFiles, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenAsStringArray, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContentsComponentDefaults, getContextMenu, getControlHeight, getCorrectZoomOverflow, getCursor, getDataContext, getDataContextCriteria, getDataContextCriteria, getDataPath, getDefaultHeight, getDefaultWidth, getDeferActionConversion, getDefiningProperty, getDefiningPropertyName, getDefiningPropertyNameOptions, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragTargetAsString, getDragType, getDropTarget, getDropTargetAsString, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getEvents, getExtraSpace, getFacetId, getFloatingScrollbars, getFormItemAutoChild, getForwardSVGeventsToObject, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupPadding, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverPersist, getHoverScreen, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlElementAsString, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeaveGroupLabelSpace, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateByIDOnly, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getLocatorName, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMatchElementHeight, getMatchElementWidth, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNativeAutoHideScrollbars, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentCanvasAsString, getParentElement, getParentElementAsString, getPeers, getPendingMarkerStyle, getPendingMarkerVisible, getPercentBox, getPercentSource, getPersistentMatchElement, getPointerSettings, getPointerTarget, getPointerTargetAsString, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrintStyleName, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShareCriteria, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowFocusOutline, getShowHover, getShowHoverComponents, getShowPointer, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSingleDiv, getSizeMayChangeOnRedraw, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapGridLineProperties, getSnapGridStyle, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getSuppressRedraw, getTabIndex, getTestDataContext, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getTopLevelComponents, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseBackMask, getUseCSSShadow, getUseDataContextCriteria, getUseDragMask, getUseGeneratedStyles, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getWorkflows, getZIndex, getZIndex, handleDataContextCriteria, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, initComplete, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, print, print, print, print, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerAIService, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeRuleContext, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeControlsTo, resizeFonts, resizeFonts, resizeFonts, resizeFontsTo, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, resolveContentsComponent, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAllowExternalFilters, setAlwaysManageFocusNavigation, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoPopulateData, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoRevertStyles, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderRadius, setBorderRadius, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanDropContent, setCanDropFiles, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContentsComponentDefaults, setContextMenu, setCorrectZoomOverflow, setCursor, setDataContext, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataPath, setDefaultHeight, setDefaultNativeAutoHideScrollbars, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDeferActionConversion, setDefiningProperty, setDefiningPropertyNameOptions, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragTarget, setDragType, setDropTarget, setDropTarget, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setFloatingScrollbars, setForwardSVGeventsToObject, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupPadding, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverPersist, setHoverScreen, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeaveGroupLabelSpace, setLeavePageSpace, setLeft, setLeft, setLocateByIDOnly, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLocatorName, setLocatorParent, setLocatorParent, setLogicalStructure, setMargin, setMatchElement, setMatchElementHeight, setMatchElementWidth, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNativeAutoHideScrollbars, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentCanvas, setParentElement, setParentElement, setPeers, setPendingMarkerStyle, setPendingMarkerVisible, setPercentBox, setPercentSource, setPersistentMatchElement, setPointerSettings, setPointerTarget, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrintStyleName, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShareCriteria, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowFocusOutline, setShowHover, setShowHoverComponents, setShowPointer, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSingleDiv, setSizeMayChangeOnRedraw, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapGridLineProperties, setSnapGridStyle, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setSuppressRedraw, setTabIndex, setTestDataContext, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseBackMask, setUseCSSShadow, setUseDataContextCriteria, setUseDragMask, setUseGeneratedStyles, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth, setWidth, setWidth100, setWorkflows, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPendingMarker, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, startBatchCreation, startDebuggingOverflow, stopDebuggingOverflow, subtractRects, supportsValueDictation, supportsVoiceCommands, unregisterAIService, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

  ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

  `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAutoDraw, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoDraw, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

  ### Methods inherited from class com.google.gwt.user.client.ui.Widget

  `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

  ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

  `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### RibbonGroup

    public RibbonGroup()

  - ### RibbonGroup

    public RibbonGroup(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static RibbonGroup getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### create

    protected JavaScriptObject create()
    Overrides:
      `create` in class `ToolStripGroup`

  - ### setAutoSizeToTitle

    public RibbonGroup setAutoSizeToTitle(Boolean autoSizeToTitle) throws IllegalStateException
    By default, `RibbonGroups` are assigned a minimum width that allows the entire title to be visible. To prevent this behavior and have group-titles cut off when they're wider than the buttons they contain, set this attribute to false
    Parameters:
      `autoSizeToTitle` - New autoSizeToTitle value. Default value is true
    Returns:
      `RibbonGroup` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getAutoSizeToTitle

    public Boolean getAutoSizeToTitle()
    By default, `RibbonGroups` are assigned a minimum width that allows the entire title to be visible. To prevent this behavior and have group-titles cut off when they're wider than the buttons they contain, set this attribute to false
    Returns:
      Current autoSizeToTitle value. Default value is true

  - ### getBody

    public HLayout getBody() throws IllegalStateException
    HLayout autoChild that manages multiple `VLayouts` containing controls.

    This component is an AutoChild named "body". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current body value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setBodyConstructor

    public RibbonGroup setBodyConstructor(String bodyConstructor) throws IllegalStateException
    Smart GWT class for the body.

    Note : This is an advanced setting

    Parameters:
      `bodyConstructor` - New bodyConstructor value. Default value is "HLayout"
    Returns:
      `RibbonGroup` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getBodyConstructor

    public String getBodyConstructor()
    Smart GWT class for the body.
    Returns:
      Current bodyConstructor value. Default value is "HLayout"

  - ### getColumnLayout

    public VLayout getColumnLayout()
    Note : This API is non-functional (always returns null) and exists only to make you aware that this MultiAutoChild exists. See `Using AutoChildren` for details.

    AutoChild VLayouts created automatically by groups. Each manages a single column of child controls in the group. Child controls that support `rowSpan` may specify it in order to occupy more than one row in a single column. See `numRows` for related information.

    Returns:
      null

  - ### setControlHMargin

    public RibbonGroup setControlHMargin(Integer controlHMargin)
    Horizontal space, in pixels, between controls that sit next to each other in this group.

    Controls in a RibbonGroup are arranged into `columns` (each holding up to `numRows` controls stacked vertically), which the `body` then lays out side by side. This property sets the `Layout.membersMargin` of the body, so it governs the gap between controls in adjacent columns - which, with the default `numRows` of 1, is every control in the group. For the vertical gap between controls stacked within a single column, see `controlVMargin`.
    If this method is called after the component has been drawn/initialized: Setter for `controlHMargin`, updating the horizontal space between controls at runtime.

    Parameters:
      `controlHMargin` - new horizontal margin, in pixels, between controls. Default value is 2
    Returns:
      `RibbonGroup` instance, for chaining setter calls

  - ### getControlHMargin

    public Integer getControlHMargin()
    Horizontal space, in pixels, between controls that sit next to each other in this group.

    Controls in a RibbonGroup are arranged into `columns` (each holding up to `numRows` controls stacked vertically), which the `body` then lays out side by side. This property sets the `Layout.membersMargin` of the body, so it governs the gap between controls in adjacent columns - which, with the default `numRows` of 1, is every control in the group. For the vertical gap between controls stacked within a single column, see `controlVMargin`.

    Returns:
      Current controlHMargin value. Default value is 2

  - ### setControls

    public RibbonGroup setControls(Canvas... controls)
    The array of controls to show in this group.
    If this method is called after the component has been drawn/initialized: Clears the array of controls and then adds the passed array to this group, creating new `columns` as necessary, according to each control's `rowSpan` attribute and the group's `numRows` attribute.
    Parameters:
      `controls` - an array of widgets to add to this group. Default value is null
    Returns:
      `RibbonGroup` instance, for chaining setter calls

  - ### getControls

    public Canvas[] getControls()
    The array of controls to show in this group.
    Returns:
      Current controls value. Default value is null

  - ### setControlVMargin

    public RibbonGroup setControlVMargin(Integer controlVMargin)
    Vertical space, in pixels, between controls stacked within a single `column` of this group. Only has a visible effect when `numRows` is greater than 1, so that a column holds more than one control. For the horizontal gap between controls that sit next to each other, see `controlHMargin`.
    If this method is called after the component has been drawn/initialized: Setter for `controlVMargin`, updating the vertical space between controls stacked within a column at runtime.
    Parameters:
      `controlVMargin` - new vertical margin, in pixels, between controls. Default value is 2
    Returns:
      `RibbonGroup` instance, for chaining setter calls

  - ### getControlVMargin

    public Integer getControlVMargin()
    Vertical space, in pixels, between controls stacked within a single `column` of this group. Only has a visible effect when `numRows` is greater than 1, so that a column holds more than one control. For the horizontal gap between controls that sit next to each other, see `controlHMargin`.
    Returns:
      Current controlVMargin value. Default value is 2

  - ### setDefaultColWidth

    public RibbonGroup setDefaultColWidth(int defaultColWidth) throws IllegalStateException
    Default width for columns in this RibbonGroup. This is used when a specific width is not provided in `colWidths` for a column.
    Parameters:
      `defaultColWidth` - New defaultColWidth value. Default value is "*"
    Returns:
      `RibbonGroup` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getDefaultColWidth

    public int getDefaultColWidth()
    Default width for columns in this RibbonGroup. This is used when a specific width is not provided in `colWidths` for a column.
    Returns:
      Current defaultColWidth value. Default value is "*"

  - ### setDefaultColWidth

    public RibbonGroup setDefaultColWidth(String defaultColWidth) throws IllegalStateException
    Default width for columns in this RibbonGroup. This is used when a specific width is not provided in `colWidths` for a column.
    Parameters:
      `defaultColWidth` - New defaultColWidth value. Default value is "*"
    Returns:
      `RibbonGroup` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getDefaultColWidthAsString

    public String getDefaultColWidthAsString()
    Default width for columns in this RibbonGroup. This is used when a specific width is not provided in `colWidths` for a column.
    Returns:
      Current defaultColWidth value. Default value is "*"

  - ### setEditProxyConstructor

    public RibbonGroup setEditProxyConstructor(String editProxyConstructor) throws IllegalStateException
    Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
    Overrides:
      `setEditProxyConstructor` in class `Layout`
    Parameters:
      `editProxyConstructor` - New editProxyConstructor value. Default value is "RibbonGroupEditProxy"
    Returns:
      `RibbonGroup` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCClassName`

  - ### getEditProxyConstructor

    public String getEditProxyConstructor()
    Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
    Overrides:
      `getEditProxyConstructor` in class `Layout`
    Returns:
      Current editProxyConstructor value. Default value is "RibbonGroupEditProxy"
    See Also:
      - `SCClassName`

  - ### getLabel

    public Label getLabel() throws IllegalStateException
    AutoChild `Label` used to display the `title text` for this group.

    Can be customized via the standard `com.smartgwt.client.types.AutoChild` pattern, and various convenience APIs exist for configuring it after initial draw: see `setShowTitle`, `setTitle`, `setTitleAlign`, `setTitleHeight`, `setTitleOrientation` and `setTitleStyle`.

    This component is an AutoChild named "label". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current label value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setLabelConstructor

    public RibbonGroup setLabelConstructor(String labelConstructor) throws IllegalStateException
    Smart GWT class for the `title label` AutoChild.

    Note : This is an advanced setting

    Parameters:
      `labelConstructor` - New labelConstructor value. Default value is "Label"
    Returns:
      `RibbonGroup` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getLabelConstructor

    public String getLabelConstructor()
    Smart GWT class for the `title label` AutoChild.
    Returns:
      Current labelConstructor value. Default value is "Label"

  - ### getLabelLayout

    public HLayout getLabelLayout() throws IllegalStateException
    HLayout autoChild that houses the `label` in which the `title text` is displayed.

    This can be customized via the standard `com.smartgwt.client.types.AutoChild` pattern.

    This component is an AutoChild named "labelLayout". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current labelLayout value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### getNewControlDefaults

    public RibbonButton getNewControlDefaults()
    Note : This API is non-functional (always returns null) and exists only to make you aware that this MultiAutoChild exists. See `Using AutoChildren` for details.

    Properties used by `createControl` when creating new controls.

    Returns:
      null

  - ### setNumRows

    public RibbonGroup setNumRows(int numRows)
    The number of rows of controls to display in each column. Each control will take one row in a `columnLayout` by default, but those that support the feature may specify `rowSpan` to override that.

    Note that settings like this, which affect the group's layout, are not applied directly if changed at runtime - a call to `reflowControls` will force the group to reflow.

    Parameters:
      `numRows` - New numRows value. Default value is 1
    Returns:
      `RibbonGroup` instance, for chaining setter calls

  - ### getNumRows

    public int getNumRows()
    The number of rows of controls to display in each column. Each control will take one row in a `columnLayout` by default, but those that support the feature may specify `rowSpan` to override that.

    Note that settings like this, which affect the group's layout, are not applied directly if changed at runtime - a call to `reflowControls` will force the group to reflow.

    Returns:
      Current numRows value. Default value is 1

  - ### setRowHeight

    public RibbonGroup setRowHeight(int rowHeight)
    The height of rows in each column.
    If this method is called after the component has been drawn/initialized: Setter for `rowHeight`, updating the height of rows - and therefore the height of each control - at runtime.
    Parameters:
      `rowHeight` - new height, in pixels, for each row. Default value is 26
    Returns:
      `RibbonGroup` instance, for chaining setter calls

  - ### getRowHeight

    public int getRowHeight()
    The height of rows in each column.
    Returns:
      Current rowHeight value. Default value is 26

  - ### setStyleName

    public void setStyleName(String styleName)
    CSS class applied to this RibbonGroup.
    Overrides:
      `setStyleName` in class `Canvas`
    Parameters:
      `styleName` - New styleName value. Default value is "ribbonGroup"
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### getStyleName

    public String getStyleName()
    CSS class applied to this RibbonGroup.
    Overrides:
      `getStyleName` in class `Canvas`
    Returns:
      Current styleName value. Default value is "ribbonGroup"
    See Also:
      - `CSSStyleName`
      - `Appearance overview and related methods`

  - ### setTitle

    public void setTitle(String title)
    The title text to display in this group's `title label`.
    If this method is called after the component has been drawn/initialized: Sets the `text` to display in this group's `title label` after initial draw.
    Overrides:
      `setTitle` in class `Canvas`
    Parameters:
      `title` - The new title for this group. Default value is null

  - ### getTitle

    public String getTitle()
    The title text to display in this group's `title label`.
    Overrides:
      `getTitle` in class `Canvas`
    Returns:
      Current title value. Default value is null

  - ### setTitleAlign

    public RibbonGroup setTitleAlign(Alignment titleAlign)
    Controls the horizontal alignment of the group's `title-text`, within its `label`. Setting this attribute overrides the default specified by `groupTitleAlign` on the containing `RibbonBar`.
    If this method is called after the component has been drawn/initialized: This method forcibly sets the horizontal alignment of the `title-text`, within the `title label`, after initial draw.
    Parameters:
      `titleAlign` - the new alignment for the text, left or right. Default value is "center"
    Returns:
      `RibbonGroup` instance, for chaining setter calls

  - ### getTitleAlign

    public Alignment getTitleAlign()
    Controls the horizontal alignment of the group's `title-text`, within its `label`. Setting this attribute overrides the default specified by `groupTitleAlign` on the containing `RibbonBar`.
    Returns:
      Current titleAlign value. Default value is "center"

  - ### setTitleHeight

    public RibbonGroup setTitleHeight(int titleHeight)
    Controls the height of the `title label` in this group.
    If this method is called after the component has been drawn/initialized: This method forcibly sets the height of this group's `title label` after initial draw.
    Parameters:
      `titleHeight` - the new height for the `title label`. Default value is 18
    Returns:
      `RibbonGroup` instance, for chaining setter calls

  - ### getTitleHeight

    public int getTitleHeight()
    Controls the height of the `title label` in this group.
    Returns:
      Current titleHeight value. Default value is 18

  - ### setTitleOrientation

    public RibbonGroup setTitleOrientation(VerticalAlignment titleOrientation)
    Controls the `vertical orientation` of this group's `title label`. Setting this attribute overrides the default specified by `groupTitleOrientation` on the containing `RibbonBar`.
    If this method is called after the component has been drawn/initialized: This method forcibly sets the `vertical orientation` of this group's `title label` after initial draw.
    Parameters:
      `titleOrientation` - the new orientation for the title, either bottom or top. Default value is "top"
    Returns:
      `RibbonGroup` instance, for chaining setter calls

  - ### getTitleOrientation

    public VerticalAlignment getTitleOrientation()
    Controls the `vertical orientation` of this group's `title label`. Setting this attribute overrides the default specified by `groupTitleOrientation` on the containing `RibbonBar`.
    Returns:
      Current titleOrientation value. Default value is "top"

  - ### getTitleProperties

    public Label getTitleProperties() throws IllegalStateException
    Deprecated.
    set these properties directly via the `label autoChild`
    AutoChild properties for fine customization of the `title label`.

    This component is an AutoChild named "titleProperties". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current titleProperties value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setTitleStyle

    public RibbonGroup setTitleStyle(String titleStyle)
    CSS class applied to the `title label` in this group.
    If this method is called after the component has been drawn/initialized: This method forcibly sets the `CSS class name` for this group's `title label` after initial draw.
    Parameters:
      `titleStyle` - the CSS class to apply to the `title label`. Default value is "ribbonGroupTitle"
    Returns:
      `RibbonGroup` instance, for chaining setter calls
    See Also:
      - `CSSStyleName`

  - ### getTitleStyle

    public String getTitleStyle()
    CSS class applied to the `title label` in this group.
    Returns:
      Current titleStyle value. Default value is "ribbonGroupTitle"
    See Also:
      - `CSSStyleName`

  - ### addControl

    public void addControl(Canvas control)
    Adds a control to this `RibbonGroup`, creating a new `column` as necessary, according to the control's `rowSpan` value and the group's `numRows` value.
    Parameters:
      `control` - a widget to add to this group

  - ### addControl

    public void addControl(Canvas control, Integer index)
    Adds a control to this `RibbonGroup`, creating a new `column` as necessary, according to the control's `rowSpan` value and the group's `numRows` value.
    Parameters:
      `control` - a widget to add to this group
      `index` - optional insertion index for this control

  - ### addControls

    public void addControls(Canvas... controls)
    Adds an array of controls to this group, creating new `columns` as necessary, according to each control's `rowSpan` value and the group's `numRows` value.
    Parameters:
      `controls` - an array of widgets to add to this group

  - ### createControl

    public void createControl(Canvas properties)
    Creates a new control and adds it to this RibbonGroup. The control is created using the autoChild system, according to the specified `constructor` and the passed properties are applied to it.
    Parameters:
      `properties` - properties to apply to the new control

  - ### createControl

    public void createControl(Canvas properties, Integer position)
    Creates a new control and adds it to this RibbonGroup. The control is created using the autoChild system, according to the specified `constructor` and the passed properties are applied to it.
    Parameters:
      `properties` - properties to apply to the new control
      `position` - the index at which to insert the new control

  - ### getControlColumn

    public Layout getControlColumn(Canvas control)
    Return the `column widget` that contains the passed control.
    Parameters:
      `control` - the control to find in this group
    Returns:
      the column widget containing the passed control

  - ### reflowControls

    public void reflowControls()
    Forces this group to reflow following changes to attributes that affect layout, like `numRows`.

  - ### removeControl

    public void removeControl(Canvas control)
    Removes a control from this `RibbonGroup`, destroying an existing `column` if this is the last widget in that column.
    Parameters:
      `control` - a widget to remove from this group

  - ### setShowTitle

    public void setShowTitle(boolean showTitle)
    This method forcibly shows or hides this group's `title label` after initial draw.
    Parameters:
      `showTitle` - should the title be shown or hidden?

  - ### setDefaultProperties

    public static void setDefaultProperties(RibbonGroup ribbonGroupProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `ribbonGroupProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`

  - ### setLogicalStructure

    public LogicalStructureObject setLogicalStructure(RibbonGroupLogicalStructure s)
    Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

  - ### getLogicalStructure

    public LogicalStructureObject getLogicalStructure()
    Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    Specified by:
      `getLogicalStructure` in interface `LogicalStructure`
    Overrides:
      `getLogicalStructure` in class `ToolStripGroup`